summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAmitay Isaacs <amitay@gmail.com>2011-07-28 09:23:03 +1000
committerAndrew Tridgell <tridge@samba.org>2011-07-28 15:20:53 +1000
commit6c1cbfb232dbf20589c2aa8cbe8e3f0564a4a31d (patch)
tree2621ade5d4790f257c59fbdf357d628ccaf84d7f /testprogs
parentfca7062d2a49d38566a19129c817ef1f75931039 (diff)
downloadsamba-6c1cbfb232dbf20589c2aa8cbe8e3f0564a4a31d.tar.gz
samba-6c1cbfb232dbf20589c2aa8cbe8e3f0564a4a31d.tar.bz2
samba-6c1cbfb232dbf20589c2aa8cbe8e3f0564a4a31d.zip
tests-blackbox: Revert the test to use user-level change password command
Signed-off-by: Andrew Tridgell <tridge@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 9cd9cd4b98..d54955dd1c 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -99,7 +99,7 @@ testit "kinit with user password" $samba4kinit $enctype --password-file=$PREFIX/
test_smbclient "Test login with user kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
NEWUSERPASS=testPaSS@34%
-testit "change user password with 'samba-tool user setpassword' (rpc)" $VALGRIND $samba_tool user setpassword nettestuser -W$DOMAIN -Unettestuser%$USERPASS $CONFIGURATION -k no --newpassword=$NEWUSERPASS $@ || failed=`expr $failed + 1`
+testit "change user password with 'samba-tool user password' (rpc)" $VALGRIND $samba_tool user password -W$DOMAIN -Unettestuser%$USERPASS $CONFIGURATION -k no --newpassword=$NEWUSERPASS $@ || failed=`expr $failed + 1`
echo $NEWUSERPASS > $PREFIX/tmpuserpassfile
testit "kinit with user password" $samba4kinit $enctype --password-file=$PREFIX/tmpuserpassfile --request-pac nettestuser@$REALM || failed=`expr $failed + 1`